NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_encodingfortype(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_encodingfortype - Return the encoding implied by the given mime type string

## Table Of Contents

## Synopsis

- ns_encodingfortype mime-type

## Description

Parses the given mime-type string to determine the character encoding implied by it. Will use the configured OutputCharset if no charset is explicitly specified in the given string.

## COMMANDS

ns_encodingfortype mime-type

## EXAMPLES

       % ns_encodingfortype "text/plain; charset=iso-8859-1"
       iso8859-1

## See Also

nsd

## Keywords

ns_charsets, ns_urlcharset